Bug 638901 - Appliance filename should not contain repository name
Appliance filename should not contain repository name
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-30 06:31 EDT by Richard W.M. Jones
Modified: 2011-07-14 15:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 15:16:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-09-30 06:31:41 EDT
Description of problem:

~/d/libguestfs/appliance$ ls *x86_64*
initramfs.fedora-13.x86_64.img      vmlinuz.fedora-13.x86_64

The repository name ("fedora-13") should not be part of the
appliance name.  It is effectively irrelevant.  (However arch
is important).

Version-Release number of selected component (if applicable):

libguestfs-1.5.20

How reproducible:

Always.

Steps to Reproduce:
1. Build libguestfs with non-supermin appliance.
2. Look at appliance name.
3.
  
Actual results:

Contains repo name, eg. "fedora-XX"

Expected results:

Should not contain repo name.

Additional info:
Comment 1 Richard W.M. Jones 2010-10-26 05:48:17 EDT
Patch posted upstream:
https://www.redhat.com/archives/libguestfs/2010-October/msg00069.html

Note You need to log in before you can comment on or make changes to this bug.